import { SourceWithOptions, MutationPluginArgs, ExtractorPluginArgs, ExtractorPluginReturnType, PluginWithOptions, Plugin } from "../../interfaces";
export declare const returnObjectInExtractorPlugin = "returnObjectInExtractorPlugin";
export declare const testMarkdown = "\n  > **NOTE**: Sections with the asterisk sign (*) are optional.\n  \n  # Plugin Name\n  \n  Modify the plugin name and insert the name of your plugin. Use Heading 1 (H1).\n  \n  ## Overview\n  \n  Provide a description of the plugin functionality. For example, describe the resources types on which it is adapted.\n  \n  ## Prerequisites*\n  \n  > **NOTE**: Don't consider`@kyma-project/documentation-component` a prerequisite. \n  \n  List the packages, including render engines, required to use the plugin. \n  \n  ## Installation\n  \n  Explain the steps to install your plugin.\n  \n  ## Usage \n  \n  ### Configuration*\n  \n  Create a table listing the available options for your plugin. Use the following table structure:\n  \n  | Name | Required | Type | Default value | Description |\n  |---|---|---|---|---|\n  | `disableRelativeLinks` | No | `boolean` | `false` | Disable relative links in markdown files |\n  \n  ## Development*\n  \n  Add instructions on how to develop the plugin. It must be clear what to do and how to trigger the tests.\n  ";
export declare const pluginType = "testType";
export declare const trimSourceToThisChars = 20;
export declare const testDataWithOptionsString = "testDataWithOptions";
export declare const pluginSource: () => SourceWithOptions;
export interface TestPluginOptionsShape {
    testOption?: boolean;
}
export declare const testExtractorPlugin: ({ source, options, }: ExtractorPluginArgs<TestPluginOptionsShape, string>) => ExtractorPluginReturnType;
export declare const testMutationPlugin: ({ source, options, }: MutationPluginArgs<TestPluginOptionsShape, string>) => any;
export declare const testPluginName = "testName";
export declare const testPluginNoOptions: (extension: string) => Plugin;
export declare const testPluginWithOptions: (extension: string) => PluginWithOptions;
export declare const blankPlugin: (extension: string) => Plugin;
