/// <reference types="react" />
import { Source } from "./Source";
export interface RenderEngine {
    name: string;
    component: React.ReactNode;
    sourceTypes: string[];
}
export declare type RenderEngineOptions<T = Record<string, any>> = T;
export interface RenderEngineWithOptions<T = Record<string, any>> {
    renderEngine: RenderEngine;
    options: RenderEngineOptions<T>;
}
export declare type RenderEngineType = RenderEngine | RenderEngineWithOptions;
export declare type RenderEngines = RenderEngineType[];
export interface RenderEngineProps<T = Record<string, any>, C = string> {
    source: Source<C>;
    options?: RenderEngineOptions<T>;
}
export declare function isRenderEngine(renderEngine: RenderEngineType): renderEngine is RenderEngine;
export declare function isRenderEngineWithOptions(renderEngine: RenderEngineType): renderEngine is RenderEngineWithOptions;
